<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title" *ngIf="reportType === 'MY_REQUEST'">All My Request</h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label>From Date </label><br>
              <p-calendar name="date"
                          [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"
                          [minDate]="minFromDate"
                          [showIcon]="false"
                          [(ngModel)]="fromDate"
              >
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>To Date </label><br>
              <p-calendar name="date"
                          [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}"
                          [minDate]="minToDate"
                          [showIcon]="false"
                          [(ngModel)]="toDate">
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>Fiscal Year</label>
              <select id="fromFiscalYearId"
                      class="form-control"
                      [(ngModel)]="selectedFiscalYear"
                      name="fromFiscalYearId">
                <option *ngFor="let event of (fiscalYears); let i = index"
                        [ngValue]="(fiscalYears)[i].id"
                >{{(fiscalYears)[i].year }}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>Recent Status</label>
              <select id="recentStatus"
                      class="form-control"
                      [(ngModel)]="selectedRecentStatus"
                      name="recentStatus">
                <option *ngFor="let event of (recentStatus); let i = index"
                        [ngValue]="(recentStatus)[i]"
                >{{(recentStatus)[i]}}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="type">Request Type</label>
              <select id="type"
                      class="form-control"
                      [(ngModel)]="requestType"
                      name="requestedFor">
                <option *ngFor="let event of (requestTypes); let i = index"
                        [ngValue]="(requestTypes)[i].value"
                >{{(requestTypes)[i].key}}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="requestedFor">Requested For</label>
              <select id="requestedFor"
                      class="form-control"
                      [(ngModel)]="selectedRequestedFor"
                      name="requestedForTypes">
                <option *ngFor="let event of (requestedForTypes); let i = index"
                        [ngValue]="(requestedForTypes)[i]"
                >{{(requestedForTypes)[i]}}</option>
              </select>
            </div>
          </div>
<!--          <app-recent-status></app-recent-status>-->
          <div class="col-sm-2">
            <div class="form-group">
              <label for="memoCode">Memo Code</label>
              <input id="memoCode"
                     name="memoCode"
                     class="form-control"
                     [(ngModel)]="memoCode">
            </div>
          </div>
          <div class="col-sm-3">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-success" (click)="searchData()" style="margin-right: 10px">
                Search</button>
              <button class=" btn btn-danger" (click)="reset()">
                Reset</button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body" *ngIf="reportType === 'MY_REQUEST'">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(myRequestData$)"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{i + 1 + itemsPerPage*page}}</td>
              <td>{{list.requestDate | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.memoCode}}</td>
              <td>{{list.subject}}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.amount}}</td>
              <td>{{list.supportedDate  | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.approvedDate  | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.recentStatus}}</td>
              <td>
                <button [routerLink]="['/pre-approval', list.expenditureDetailId, requestType]"
                        class="btn btn-success btn-xs mr-2">
                  <i class="pi pi-eye"></i>
                </button>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>

      <div class="box-body" *ngIf="reportType !== 'MY_REQUEST'">
        <p-table id="exportTable1"
                 class="text-center"
                 [columns]="columnNameApproveApprove"
                 [value]="(mySupportedApprovedData$)"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <!--          <ng-template pTemplate="caption">-->
          <!--            List of Approved Bill Payments-->
          <!--            :&nbsp;{{ totalRecords }}-->
          <!--          </ng-template>-->
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{i + 1 + itemsPerPage*page}}</td>
              <td>{{list.requestDate | date:'MMM d, y, h:mm:ss a'}}</td>
              <td>{{list.memoCode}}</td>
              <td>{{list.subject}}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.amount}}</td>
              <td>{{list.supportedDate}}</td>
              <td>{{list.approvedDate}}</td>
              <td>{{list.recentStatus}}</td>
              <td>{{list.requestedForType}}</td>
              <td>{{list.recentMyStatus}}</td>
              <td>
                <button [routerLink]="['/pre-approval', list.expenditureDetailId, requestType]"
                        class="btn btn-success btn-xs mr-2">
                  <i class="pi pi-eye"></i>
                </button>
                <!--                <button [routerLink]="['/pre-approval', list.id, requestType]" *ngIf="requestType === 'BILL_PAYMENT'"-->
                <!--                        class="btn btn-success btn-xs mr-2">-->
                <!--                  <i class="pi pi-eye"></i>-->
                <!--                </button>-->
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>


    </div>
  </div>
</div>

<!--<div class="boarder">-->

<!--  <h1>Title</h1>-->

<!--</div>-->
